## grokmirror 1.0.0

=== requirements.txt ===
anyjson
git

## grokmirror 0.3.5

=== debian/changelog ===
grokmirror (0.3.5-1) unstable; urgency=low

  * Initial release. (Closes: #707643)

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 16 Aug 2013 12:19:46 -0400

=== debian/control ===
Source: grokmirror
Section: vcs
Priority: optional
Maintainer: Adrian Alves <aalves@gmail.com>
Uploaders: Robert S. Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>= 9), python, python-setuptools
Standards-Version: 3.9.4
Homepage: https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git
Vcs-Git: git://anonscm.debian.org/collab-maint/grokmirror.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grokmirror.git
X-Python-Version: 2.7

Package: grokmirror
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python, python-git
Enhances: git
Description: framework to smartly mirror git repositories
 grokmirror mirrors large git repository collections efficiently. It
 uses a manifest file published by a master mirror in order to figure
 out which repositories to clone and to track which repositories require
 updating. The process is extremely lightweight and efficient for both
 the master and its mirrors.

=== debian/rules ===
#!/usr/bin/make -f

SCRIPTS := \
	grok-dumb-pull.py \
	grok-fsck.py \
	grok-manifest.py \
	grok-pull.py

SCRIPTDIR := debian/grokmirror/usr/bin

%:
	dh $@ --with python2

override_dh_auto_install:
	mkdir -p $(SCRIPTDIR)
	for script in $(SCRIPTS); do \
		install -m 0755 $$script $(SCRIPTDIR)/$$(basename $$script .py); \
	done
	dh_auto_install

override_dh_compress:
	dh_compress -X.rst

## grokmirror 1.0.0

=== debian/changelog ===
grokmirror (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python-pkg-resources.
    (Closes: #888847)

 -- Adrian Bunk <bunk@debian.org>  Thu, 27 Sep 2018 20:19:18 +0300

grokmirror (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sun, 22 May 2016 18:36:01 -0400

=== debian/control ===
Source: grokmirror
Section: vcs
Priority: optional
Maintainer: Adrian Alves <aalves@gmail.com>
Uploaders: Robert Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>= 9), python, python-setuptools
Standards-Version: 3.9.8
Homepage: https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/grokmirror.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/grokmirror.git
X-Python-Version: 2.7

Package: grokmirror
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python, python-anyjson, python-git, python-pkg-resources
Enhances: git
Description: framework to smartly mirror git repositories
 grokmirror mirrors large git repository collections efficiently. It
 uses a manifest file published by a master mirror in order to figure
 out which repositories to clone and to track which repositories require
 updating. The process is extremely lightweight and efficient for both
 the master and its mirrors.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_compress:
	dh_compress -X.conf -X.rst

=== debian/watch ===
version=3
https://www.kernel.org/pub/software/network/grokmirror/grokmirror-(.+)\.tar\.gz

## grokmirror 2.0.11

=== requirements.txt ===
packaging
requests

=== debian/changelog ===
grokmirror (2.0.11-2ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:10:45 +0100

grokmirror (2.0.11-2) unstable; urgency=medium

  * [649b661] Add salsa-ci config
  * [3068ca5] Add d/source/options extend-diff-ignore to fix dpkg-source
    failure due to local changes (python package metadata regeneration)

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 17 Aug 2023 11:11:21 -0400

grokmirror (2.0.11-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [26197c2] Remove dependency on the enlighten progress bar
  * [4059bfc] New upstream version 2.0.11
  * [498df77] Update packaging for 2.0

  [ Kienan Stewart ]
  * [462c382] Create log directory during package installation

  [ Michael Jeanson ]
  * [ac476ea] Set maintainer and uploaders
  * [9af6c76] Bump standards version to 4.6.2
  * [dd5704f] Update debian/copyright
  * [43e2f1b] Add upstream metadata
  * [cf22686] Add signature check to debian/watch

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 09 Aug 2023 16:33:18 -0400

=== debian/control ===
Source: grokmirror
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Jeanson <mjeanson@debian.org>
Uploaders:
 Kienan Stewart <kienan.stewart@burntworld.ca>,
 Adrian Alves <aalves@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-packaging,
 python3-requests,
 python3-setuptools
Standards-Version: 4.6.2
Homepage: https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git
Vcs-Git: https://salsa.debian.org/debian/grokmirror.git
Vcs-Browser: https://salsa.debian.org/debian/grokmirror

Package: grokmirror
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-packaging
Enhances: git
Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
Description: framework to smartly mirror git repositories
 grokmirror mirrors large git repository collections efficiently. It
 uses a manifest file published by a master mirror in order to figure
 out which repositories to clone and to track which repositories require
 updating. The process is extremely lightweight and efficient for both
 the master and its mirrors.

## grokmirror 2.0.12

=== debian/changelog ===
grokmirror (2.0.12-1) unstable; urgency=medium

  * [3277b04] New upstream version 2.0.12

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 01 Aug 2024 15:34:02 -0400

grokmirror (2.0.11-3) unstable; urgency=medium

  * [023ce09] Install unit files with dh_installsystemd (Closes: #1073627)

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 18 Jun 2024 11:40:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: grokmirror
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Jeanson <mjeanson@debian.org>
+Maintainer: Michael Jeanson <mjeanson@debian.org>
 Uploaders:
  Kienan Stewart <kienan.stewart@burntworld.ca>,
  Adrian Alves <aalves@gmail.com>
@@ -22,7 +21,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-packaging
 Enhances: git
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: framework to smartly mirror git repositories
  grokmirror mirrors large git repository collections efficiently. It
  uses a manifest file published by a master mirror in order to figure

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=grokmirror

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.conf -X.rst

override_dh_installsystemd:
	dh_installsystemd --name=grok-fsck@
	dh_installsystemd --name=grok-pull@

=== debian/watch ===
version=4
opts="pgpmode=mangle, pgpsigurlmangle=s%tar\.gz$%tar\.sign%, decompress" \
 https://www.kernel.org/pub/software/network/grokmirror/ \
 @PACKAGE@@ANY_VERSION@\.tar\.gz \
 debian uupdate
